import { Team } from "./Team"

export interface Player {
    /**
     * unique identifier of the player.
     * This identifier must be unique to the associated court.
     */
    id: number

    /**
     * the player's team
     * */
    team: Team

    /**
     * player's position
     * */
    role: string

    /**
     * Percentage of the player's position to the bottom (0 means top, 1 means bottom, 0.5 means middle)
     */
    bottomRatio: number

    /**
     * Percentage of the player's position to the right (0 means left, 1 means right, 0.5 means middle)
     */
    rightRatio: number
}
